Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001514 [Piwigo] template feature N/A 2010.03.17 01:42 2010.04.14 17:08
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC1 Product Version
  Target Version 2.1.0RC1 Product Build
Summary 0001514: theme manager : activate, deactivate, delete, set as default actions
Description Now that we can install themes, it's time to activate or deactivate some. Even delete and set as default.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003537)
svn (reporter)
2010.03.17 01:48

[Subversion] r5153 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1514: new screen to manage installed themes; activate, deactivate,
delete, set as default.

plugins.class.php was merged back to a state it doesn't manage themes at all.
themes.class.php was created instead, from a duplication of plugins.class.php
and strongly modified then.

feature 1507: the display of available themes is now much more "graphic".
(0003541)
svn (reporter)
2010.03.17 10:58

[Subversion] r5157 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1514: bug fixed, core themes and already used themes are automatically
activated.
(0003555)
svn (reporter)
2010.03.19 10:52

[Subversion] r5186 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1514, feature 1507: improvement, the themeBoxes height adjusts
automatically depending on the content.
(0003599)
svn (reporter)
2010.03.22 15:11

[Subversion] r5258 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1514: improvement, impossible to delete a theme that is required
by another installed theme.
(0003602)
svn (reporter)
2010.03.22 20:49

[Subversion] r5264 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1514: improvement, if a user has a theme that is (maybe temporary)
unactive, we fallback on default theme (the real default theme, the one set
for default user)
(0003620)
svn (reporter)
2010.03.26 15:16

[Subversion] r5382 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1514: make the "deactivate" action inactive if there is no active
theme left.

bug fixed: when setting the default theme, make sure at least one user will
be updated.

- Issue History
Date Modified Username Field Change
2010.03.17 01:42 plg New Issue
2010.03.17 01:42 plg Status new => assigned
2010.03.17 01:42 plg Assigned To => plg
2010.03.17 01:42 plg browser => any
2010.03.17 01:42 plg Web server => Apache 1.3.x
2010.03.17 01:48 svn Checkin
2010.03.17 01:48 svn Note Added: 0003537
2010.03.17 10:58 svn Checkin
2010.03.17 10:58 svn Note Added: 0003541
2010.03.19 10:52 svn Checkin
2010.03.19 10:52 svn Note Added: 0003555
2010.03.22 15:11 svn Checkin
2010.03.22 15:11 svn Note Added: 0003599
2010.03.22 20:49 svn Checkin
2010.03.22 20:49 svn Note Added: 0003602
2010.03.26 15:16 svn Checkin
2010.03.26 15:16 svn Note Added: 0003620
2010.04.14 17:08 plg Status assigned => closed
2010.04.14 17:08 plg Resolution open => fixed
2010.04.14 17:08 plg Fixed in Version => 2.1.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker